Bug 226947 - Can't install OS on ATI SB600 chipset with legacy IDE mode
Can't install OS on ATI SB600 chipset with legacy IDE mode
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Prarit Bhargava
Brian Brock
: OtherQA
: 240587 (view as bug list)
Depends On:
Blocks: 221318 227594 227595 227596 238736 240027
  Show dependency treegraph
Reported: 2007-02-02 02:31 EST by Xin-Yun Liu (Wolke Liu)
Modified: 2009-06-19 10:19 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-15 11:19:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
set back to ahci mode (902 bytes, patch)
2007-02-02 02:34 EST, Xin-Yun Liu (Wolke Liu)
no flags Details | Diff
RHEL4.6: set it back to ahci mode (1.58 KB, patch)
2007-04-30 11:39 EDT, Prarit Bhargava
no flags Details | Diff
Upstream fix for 32-bit addressing (1.37 KB, patch)
2007-05-14 11:35 EDT, Prarit Bhargava
no flags Details | Diff
RHEL4.6 32-bit addressing (1.27 KB, patch)
2007-05-21 13:20 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Xin-Yun Liu (Wolke Liu) 2007-02-02 02:31:38 EST
+++ This bug was initially created as a clone of Bug #218428 +++

From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 
1.1.4322; .NET CLR 2.0.50727)

Description of problem:
Set SATA mode as legacy IDE, install os failed on ATI SB600 chipset

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set SATA mode as legacy IDE in system BIOS 
2. Install OS from SATA hard disk

Actual Results:
install failed for don't have such sata driver.

Expected Results:
driver should treat the SATA in ahci mode instead of legacy ide mode

Additional info:

-- Additional comment from woliu@ati.com on 2006-12-21 01:17 EST --
Created an attachment (id=144162)
patch for ATI SB600 legacy IDE mode

set the controller back to AHCI mode if it has been set as IDE by BIOS

-- Additional comment from woliu@ati.com on 2006-12-21 01:25 EST --
I have tested it successfully on the ATI Marlin (SB600),

The system bios information:
Version: 08.00.04
Build Date: 11/10/06
ID: AMM66B27

-- Additional comment from woliu@ati.com on 2006-12-25 03:22 EST --
Could anyone add the pacth to RHEL5 before the final release?

BTW, correct the mainboard information:
ATI (Marlin RS600) bios version: AMML6B54
ATI (Moray RS690), bios verison: AMM66B27
Comment 1 Xin-Yun Liu (Wolke Liu) 2007-02-02 02:34:47 EST
Created attachment 147192 [details]
set back to ahci mode

this patch has been accepted by kernel.org.

Hope this patch can be added to RHEL4 if there is a update 5 in future.
Comment 3 Prarit Bhargava 2007-04-30 11:39:23 EDT
Created attachment 153804 [details]
RHEL4.6: set it back to ahci mode

Updated for RHEL 4.6
Comment 4 RHEL Product and Program Management 2007-04-30 12:02:06 EDT
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.
Comment 5 Prarit Bhargava 2007-05-14 10:44:37 EDT
From Alan Cox in BZ 238746:

>We need some other changes it turns out. From l/k today its reported that the
>SB600 doesn't work properly with >4GB memory so needs kernel hacks to handle it.
>These are not yet upstream but are being tested at the moment.


Could you keep me up-to-date on the status of the new patch?  This BZ is 4.6 --
I'm going to put the BZ back into the ASSIGNED state and self-NAK the patch on

(I'll try to keep an eye out for the gt 4G patch ...)


Comment 6 Prarit Bhargava 2007-05-14 10:45:18 EDT
Self-NAKing patch on LKML due to Alan's comments in #5.

Comment 7 Prarit Bhargava 2007-05-14 11:35:05 EDT
Created attachment 154657 [details]
Upstream fix for 32-bit addressing
Comment 8 Prarit Bhargava 2007-05-14 11:37:39 EDT
Patch in comment #7 is from


My hardware, HP dc5750, only supports 4G of RAM.  I do not have a way of testing
this patch -- it looks sane though.

Comment 14 Xin-Yun Liu (Wolke Liu) 2007-05-17 22:49:15 EDT
Confirmed with hardware engineer: SB600 is 32 bits only.

The patch in Comment #7 looks good to me.

I will update the information after a test done on the real machine.

Thanks for your great work
Comment 15 Xin-Yun Liu (Wolke Liu) 2007-05-17 22:51:38 EDT
I can't see comment #9 to comment #13.
Comment 16 Jeff Garzik 2007-05-17 23:22:43 EDT
The patch in comment #7 seems fine to me (speaking as upstream libata
maintainer, and AHCI driver author).

Make sure to submit it upstream first, then it is easy to pull it into RHEL.
Comment 17 Prarit Bhargava 2007-05-18 09:45:49 EDT
Patch in comment #7 sent upstream here:


I will backport, retest, and post if appropriate.

Comment 18 Prarit Bhargava 2007-05-18 09:46:38 EDT
Er ... s/post if appropriate/post when appropriate/g ;)

Comment 19 Prarit Bhargava 2007-05-21 13:20:35 EDT
Created attachment 155117 [details]
RHEL4.6 32-bit addressing

Looks like this is going in upstream....
Comment 20 Prarit Bhargava 2007-06-12 10:15:35 EDT
*** Bug 240587 has been marked as a duplicate of this bug. ***
Comment 21 Alan Cox 2007-06-12 10:26:30 EDT
Looks good to me with that included
Comment 22 Jason Baron 2007-06-28 15:43:00 EDT
committed in stream U6 build 55.14. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 23 Bryn M. Reeves 2007-07-24 10:34:24 EDT
Tested 55.14 on an HP xw4550 with SB600
Comment 25 John Poelstra 2007-08-28 20:13:39 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6 Beta released on RHN (also available at partners.redhat.com).  

Requested action: Please verify that your issue is fixed to ensure that it is
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 28 Issue Tracker 2007-09-20 14:59:01 EDT
-55.14 fixed the bug, but it's back now, reproducible in -59.  We can
still make it go away under -59 by booting with mem=3900M.

Issue escalated to RHEL 4 Storage by: csnook.
Internal Status set to 'Waiting on Engineering'
Version set to: '4.6'

This event sent from IssueTracker by csnook 
 issue 130852
Comment 29 Mike Gahagan 2007-09-20 15:07:20 EDT
setting back to assigned based on previous comment.
Comment 34 Shane Huang 2007-10-17 05:02:52 EDT
Hi Mike, Bryn, Bhavana and other guys:

Can you provide the original 2.6.9-55.14 x86_64 and source rpm packages to
us for the further debug? And please also provide kernel-2.6.9-56.EL.src.rpm
if you can. Because the partner ftp address is not valid anymore.

Comment 35 Bhavna Sarathy 2007-10-17 10:06:03 EDT
I wasn't cc'ed on this bug and didn't see this request till Shane sent me a 
direct email.   I'll upload the necessary rpms for AMD.
Comment 36 Bhavna Sarathy 2007-10-17 10:22:15 EDT
Does the latest test kernel here work for you?
Comment 37 Prarit Bhargava 2007-10-17 10:28:38 EDT
Uh ... please stop all discussion of this issue in this BZ.  It will make QA go
crazy.  I've opened up a new BZ to track the latest reported failure: 300861

The failure in 300861 is separate and distinct from the issue in this (226947) BZ.


Comment 39 errata-xmlrpc 2007-11-15 11:19:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.